# -*- rpm-spec -*-
# $Id: kernel-build-tools.spec,v 1.3 2004/08/03 15:25:28 vsu Exp $
##

Name: kernel-build-tools
Version: 0.7
Release: alt1

Summary: RPM macroses for kernel builds
License: GPL
Group: Development/Other
Packager: Kernel Maintainers Team <kernel@packages.altlinux.org>

Source0: kernel-macros
Source1: kernel-policy.txt
Source2: upgrade_module_specs
Source3: kernel-spec-example.txt

PreReq: rpm >= 4.0.4-alt1
BuildArch: noarch

%description
RPM macroses and defines used for kernel builds

%prep
%setup -qcT
install -p -m644 %SOURCE1 .
install -p -m644 %SOURCE3 .

%install
mkdir -p %buildroot%_bindir
%__install -p -m0644 -D %SOURCE0 %buildroot%_sysconfdir/rpm/macros.d/kernel
%__install -p -m0755 %SOURCE2 %buildroot%_bindir

%files
%_sysconfdir/rpm/macros.d/kernel
%_bindir/*
%doc *

%changelog
* Tue Aug 03 2004 Sergey Vlasov <vsu@altlinux.ru> 0.7-alt1
- kernel-macros: added macros for installation scripts:
  + %%post_kernel_image
  + %%preun_kernel_image
  + %%post_kernel_headers
  + %%preun_kernel_headers
  + %%post_kernel_modules
  + %%postun_kernel_modules
- updated kernel-policy:
  + added description for new macros
- updated kernel spec example:
  + use new macros in scripts

* Mon Feb 02 2004 Sergey Vlasov <vsu@altlinux.ru> 0.6-alt6
- kernel-macros:
  - added not_PATCHSET support
- updated kernel-policy
- updated kernel spec example and separated it from policy text

* Sun Jan 18 2004 Sergey Vlasov <vsu@altlinux.ru> 0.6-alt5
- kernel-macros:
  - fixed apply_recursive fix
  - allow URLs in %%source
- updated kernel-policy

* Thu Jan 15 2004 Ed V. Bartosh <ed@altlinux.org> 0.6-alt4
- apply_recursive fix: check for return code in recursive calls

* Thu Dec 18 2003 Sergey Vlasov <vsu@altlinux.ru> 0.6-alt3
- kernel-macros:
  - enhanced %%source to take an optional subdirectory for patch file
    installation
  - dropped %%source_kver (now this is handled by %%source)

* Wed Dec 17 2003 Sergey Vlasov <vsu@altlinux.ru> 0.6-alt2
- kernel-macros:
  - %%apply_patches: cleanup; fixed bugs in recursive patch application; allow
    00_ prefixes for all special directories
  - %%install_patches, %%source: reworked kernel version specific patch
    installation

* Fri Dec  5 2003 Ed V. Bartosh <ed@altlinux.ru> 0.6-alt1
- kernel-policy: Sergey Vlasov added to the kernel committee
- kernel-macros: added ability to apply patches only to the specified kernel version

* Tue Nov 11 2003 Ed V. Bartosh <ed@altlinux.ru> 0.5-alt5
- fix: set right permissions to upgrade_module_specs

* Thu Oct 30 2003 Ed V. Bartosh <ed@altlinux.ru> 0.5-alt4
- Change packager to ed@altlinux.ru

* Wed Sep  3 2003 Ed V. Bartosh <ed@sam-solutions.net> 0.5-alt3
- upgrade_module_spec: fixed bug with non-only-digit release increment
- upgrade_module_spec: save spec formatting during replace

* Thu Aug  7 2003 Ed V. Bartosh <ed@sam-solutions.net> 0.5-alt2
- macro 'format_patch_list' corrected

* Tue Aug  5 2003 Ed V. Bartosh <ed@sam-solutions.net> 0.5-alt1
- apply_patches macro: improve support of applying dependent patches
- upgrade_module_spec improved
- kgcc_package added to the kernel-macros

* Thu Jul 31 2003 Peter Novodvorsky <nidd@altlinux.com> 0.4-alt1
- added upgrade_module_specs script.

* Fri Jul  4 2003 Ed V. Bartosh <ed@sam-solutions.net> 0.3-alt4
- spec typos fixed

* Tue Jul  1 2003 Ed V. Bartosh <ed@sam-solutions.net> 0.3-alt3
- policy naming rules minor changes
- %%source and %%install_patches macroses added

* Fri Jun  6 2003 Ed V. Bartosh <ed@sam-solutions.net> 0.3-alt2
- Sinchronized with Peter's work, added kernel-policy

* Mon May 26 2003 Peter Novodvorsky <nidd@altlinux.com> 0.3-alt1
- new version of kernel-macros from Ed.
- 1.0 version of kernel-policy.

* Wed Apr 30 2003 Ed V. Bartosh <ed@sam-solutions.net> 0.1-alt5
- %%copy_sources macro added

* Tue Apr 22 2003 Ed V. Bartosh <ed@sam-solutions.net> 0.1-alt4
- stop applying patches when  patch or apply script return error

* Tue Apr 22 2003 Ed V. Bartosh <ed@sam-solutions.net> 0.1-alt3
- %%kernel_src and %%kernel_srcdir defines added

* Sat Apr 19 2003 Ed V. Bartosh <ed@sam-solutions.net> 0.1-alt2
- %%apply_patches: add ability to don't apply patch for specific kernel version
- %%apply_patches: add ability to use 'NN_' prefix for directory patches 

* Tue Apr 15 2003 Ed V. Bartosh <ed@sam-solutions.net> 0.1-alt1
- Initial release




